lev.gui

## Class Lg

- java.lang.Object
- - lev.gui.Lg

-     public class Lg
      extends java.lang.Object

  GUI related nifty functions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lg()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.Dimension` | `calcSize(double x, double y, int maxX, int maxY)` This function returns the minimum dimensions to fit inside (maxx,maxy) while retaining the aspect ratio of the original (x,y)
    `static java.awt.Composite` | `getAlphaComposite(float trans)` Creates an Alpha Composite with the given transparency
    `static javax.swing.JEditorPane` | `getQuickHTMLPane(java.lang.String str)`
    `static int` | `getSpacing(boolean horiz, int allocated, java.awt.Component... cs)` Returns the spacing that should be given to the components.
    `static java.awt.image.BufferedImage` | `resizeImage(java.awt.image.BufferedImage originalImage, java.awt.Dimension size)`
    `static java.awt.image.BufferedImage` | `resizeImageWithHint(java.awt.image.BufferedImage originalImage, java.awt.Dimension size)`
    `static int` | `taller(java.awt.Component a, java.awt.Component b)` Returns the height of the taller component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lg

          public Lg()

  - ### Method Detail

    - #### resizeImage

          public static java.awt.image.BufferedImage resizeImage(java.awt.image.BufferedImage originalImage,
                                                 java.awt.Dimension size)

      Parameters:
        `originalImage` - Image to resize
        `size` - size to convert to
      Returns:
        Resized image

    - #### resizeImageWithHint

          public static java.awt.image.BufferedImage resizeImageWithHint(java.awt.image.BufferedImage originalImage,
                                                         java.awt.Dimension size)

      Parameters:
        `originalImage` - Image to resize
        `size` - size to convert to
      Returns:
        Resized image

    - #### calcSize

          public static java.awt.Dimension calcSize(double x,
                                    double y,
                                    int maxX,
                                    int maxY)

      This function returns the minimum dimensions to fit inside (maxx,maxy) while retaining the aspect ratio of the original (x,y)
      Parameters:
        `x` - Original width
        `y` - Original height
        `maxX` - Max width
        `maxY` - Max height
      Returns:
        New dimensions fitting inside limits, while retaining aspect ratio.

    - #### taller

          public static int taller(java.awt.Component a,
                   java.awt.Component b)

      Returns the height of the taller component.
      Parameters:
        `a` -
        `b` -
      Returns:

    - #### getAlphaComposite

          public static java.awt.Composite getAlphaComposite(float trans)

      Creates an Alpha Composite with the given transparency
      Parameters:
        `trans` -
      Returns:

    - #### getSpacing

          public static int getSpacing(boolean horiz,
                       int allocated,
                       java.awt.Component... cs)

      Returns the spacing that should be given to the components.
      Parameters:
        `horiz` - Horizontal spacing vs vertical
        `allocated` - How much space the components should take up
        `cs` - the components to space
      Returns:
        the spacing

    - #### getQuickHTMLPane

          public static javax.swing.JEditorPane getQuickHTMLPane(java.lang.String str)